CVE-2005-3202
CVSS6.8
发布时间 :2005-10-14 06:02:00
修订时间 :2016-10-17 23:33:25
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in Oracle HTML DB (HTMLDB) 1.3 through 1.3.6 allow remote attackers to inject arbitrary web script or HTML, and subsequently execute SQL statements via the (1) p or (2) p_t02 parameters.


[CNNVD]Oracle HTML DB跨站脚本漏洞(CNNVD-200510-098)

        Oracle是一款大型的商业数据库系统,Oracle HTML DB是Oracle数据库的快速web应用开发工具。
        HTML DB中存在一些跨站脚本漏洞,起因是没有正确的验证用户输入。攻击者可以利用这些漏洞通过向HTML DB用户发送特制的HTMLDB url在数据库中执行SQL语句。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:oracle:html_db:1.3Oracle HTML DB 1.3
cpe:/a:oracle:html_db:1.3.6Oracle HTML DB 1.3.6

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3202
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3202
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200510-098
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/fulldisclosure/2005-10/0173.html
(VENDOR_ADVISORY)  FULLDISC  20051007 Cross-Site-Scripting Vulnerabilities in Oracle HTMLDB
http://marc.info/?l=bugtraq&m=112870398418456&w=2
(UNKNOWN)  BUGTRAQ  20051007 Cross-Site-Scripting Vulnerabilities in Oracle HTMLDB
http://securityreason.com/securityalert/62
(UNKNOWN)  SREASON  62
http://www.oracle.com/technology/deploy/security/pdf/cpuapr2005.pdf
(VENDOR_ADVISORY)  MISC  http://www.oracle.com/technology/deploy/security/pdf/cpuapr2005.pdf
http://www.red-database-security.com/advisory/oracle_htmldb_css.html
(VENDOR_ADVISORY)  MISC  http://www.red-database-security.com/advisory/oracle_htmldb_css.html
http://www.securityfocus.com/bid/15031
(UNKNOWN)  BID  15031
http://xforce.iss.net/xforce/xfdb/22540
(UNKNOWN)  XF  oracle-htmldb-xss(22540)

- 漏洞信息

Oracle HTML DB跨站脚本漏洞
中危 跨站脚本
2005-10-14 00:00:00 2005-10-20 00:00:00
远程  
        Oracle是一款大型的商业数据库系统,Oracle HTML DB是Oracle数据库的快速web应用开发工具。
        HTML DB中存在一些跨站脚本漏洞,起因是没有正确的验证用户输入。攻击者可以利用这些漏洞通过向HTML DB用户发送特制的HTMLDB url在数据库中执行SQL语句。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.oracle.com/technology/deploy/security/pdf/cpujul2005.html

- 漏洞信息

20051
Oracle HTMLDB f p Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

Oracle HTML DB contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'p' variable upon submission to the 'f' servlet. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-10-07 2004-02-18
2005-10-07 Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Oracle has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站